Signatures
Get an upload URL for a signed wet-ink scan
Generate a pre-signed POST for uploading the signed, scanned PDF of a request that is marked for wet-ink signing and whose scan has not been uploaded yet. Only available in workflows where QC comes after signing, which have you upload the signed scan to Slate for QC. Send every uploadValues entry as a multipart form field, followed by the file as the file field. The file must be a PDF (Content-Type: application/pdf) within the size limit. Then confirm the upload by patching the request’s status to wetInkUploaded.
GET
/
v2
/
requests
/
{signatureRequestId}
/
uploadUrl
Get an upload URL for a signed wet-ink scan
curl --request GET \
--url https://api.slate.inc/signatures/v2/requests/{signatureRequestId}/uploadUrl \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slate.inc/signatures/v2/requests/{signatureRequestId}/uploadUrl"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slate.inc/signatures/v2/requests/{signatureRequestId}/uploadUrl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.slate.inc/signatures/v2/requests/{signatureRequestId}/uploadUrl",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.slate.inc/signatures/v2/requests/{signatureRequestId}/uploadUrl"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.slate.inc/signatures/v2/requests/{signatureRequestId}/uploadUrl")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.slate.inc/signatures/v2/requests/{signatureRequestId}/uploadUrl")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uploadUrl": "<string>",
"uploadValues": {}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Cognito-issued JWT access token. Send it as Authorization: Bearer <token>.
Path Parameters
⌘I
Get an upload URL for a signed wet-ink scan
curl --request GET \
--url https://api.slate.inc/signatures/v2/requests/{signatureRequestId}/uploadUrl \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slate.inc/signatures/v2/requests/{signatureRequestId}/uploadUrl"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slate.inc/signatures/v2/requests/{signatureRequestId}/uploadUrl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.slate.inc/signatures/v2/requests/{signatureRequestId}/uploadUrl",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.slate.inc/signatures/v2/requests/{signatureRequestId}/uploadUrl"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.slate.inc/signatures/v2/requests/{signatureRequestId}/uploadUrl")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.slate.inc/signatures/v2/requests/{signatureRequestId}/uploadUrl")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uploadUrl": "<string>",
"uploadValues": {}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}